Dancer::Logger::Capture::Trap(3pm)

NAME
Dancer::Logger::Capture::Trap - a place to store captured Dancer logs

VERSION
version 1.3522

SYNOPSIS
    my $trap = Dancer::Logger::Capture::Trap->new;
    $trap->store( $level, $message );
    my $logs = $trap->read;

DESCRIPTION
This is a place to store and retrieve capture Dancer logs used by Dancer::Logger::Capture.

  Methods
new

store

    $trap->store($level, $message);

Stores a log $message and its $level.

read

    my $logs = $trap->read;

Returns the logs stored as an array ref and clears the storage.

For example...

    [{ level => "warning", message => "Danger! Warning! Dancer!" },
     { level => "error",   message => "You fail forever" }
    ];

SEE ALSO
Dancer::Logger::Capture

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.